Bug 143165 - devel/bmake: fix pkg-plist
devel/bmake: fix pkg-plist
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: tmclaugh
Depends on:
  Show dependency treegraph
Reported: 2010-01-24 15:10 UTC by to.my.trociny
Modified: 2010-02-02 04:10 UTC (History)
0 users

See Also:

file.diff (287 bytes, patch)
2010-01-24 15:10 UTC, to.my.trociny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description to.my.trociny 2010-01-24 15:10:02 UTC
pkg-plist for devel/bmake contains the directive:

@dirrm share/mk

This looks like wrong because share/mk can be used by other ports (e.g. devel/netbsd-pkgsrc-mk-files).

Fix: Remove '@dirrm share/mk' from pkg-plist.

Patch attached with submission follows:
Comment 1 tmclaugh freebsd_committer 2010-01-25 00:34:07 UTC
State Changed
From-To: open->feedback

This would be correct: 

@dirrmtry share/mk 

Can't just leave the directory but since it may be used by other ports 
deinstall will try and remove the directory and ignore it if it's not 
empty.  Mind if I commit that change instead? 

Comment 2 tmclaugh freebsd_committer 2010-01-25 00:34:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh
Comment 3 Mark Linimon freebsd_committer 2010-01-25 12:52:17 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 tmclaugh freebsd_committer 2010-02-02 03:44:33 UTC
State Changed
From-To: open->closed

Commited, thanks!
Comment 5 dfilter freebsd_committer 2010-02-02 04:02:49 UTC
tmclaugh    2010-02-02 04:02:40 UTC

  FreeBSD ports repository

  Modified files:
    devel/bmake          Makefile pkg-plist 
  dirrmtry instead of dirrm share/mk as it is used by other ports as well.
  PR:             143165
  Submitted by:   Mikolaj Golub (maintainer)
  Revision  Changes    Path
  1.2       +1 -0      ports/devel/bmake/Makefile
  1.2       +1 -1      ports/devel/bmake/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"